List income documents
- Sandbox: your partner domain on the Keep sandbox:
GET https://<partner_domain>.keep.co.il/partner/api/documents/income
- Production: your partner domain:
GET https://<partner_domain>.keep.co.il/partner/api/documents/income
Credentials
- Header
Authorization: Bearer <token>
Retrieve a list of income documents for a seller
Parameters
| Name |
In |
Type |
Required |
Description |
sellerPaymeId |
query |
string |
no |
Seller PayMe ID. One of sellerPaymeId or sellerId is required. |
sellerId |
query |
string |
no |
Keep seller UUID (v4). One of sellerPaymeId or sellerId is required. |
docNum |
query |
string |
no |
Document number, digits only. Matches the regulation number of the document (docRegulationId). |
page |
query |
integer |
no |
Page number. Minimum 0, default 0. |
limit |
query |
integer |
no |
Items per page. Positive number, at most 500; use a whole-number item count. Default 10. |
Code samples
curl
curl -X GET 'https://<partner_domain>.keep.co.il/partner/api/documents/income' \
-H 'Authorization: Bearer <YOUR_TOKEN>'
Node.js
const response = await fetch("https://<partner_domain>.keep.co.il/partner/api/documents/income", {
method: "GET",
headers: {
"Authorization": "Bearer <YOUR_TOKEN>",
},
});
console.log(await response.text());
Python
import requests
response = requests.get(
"https://<partner_domain>.keep.co.il/partner/api/documents/income",
headers={
"Authorization": "Bearer <YOUR_TOKEN>",
},
)
print(response.text)
PHP
<?php
$ch = curl_init('https://<partner_domain>.keep.co.il/partner/api/documents/income');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <YOUR_TOKEN>',
],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
Responses
200 — Successful response (success)
| Field |
Type |
Description |
payload |
object |
|
payload.page |
integer |
|
payload.limit |
integer |
|
payload.total |
integer |
|
payload.items |
array |
Each item also contains the fields sent when the document was created. |
payload.items[].id |
string |
|
payload.items[].url |
string |
|
400 — Bad Request. Messages include At least one of sellerPaymeId or sellerId should exists and Bad seller identifier (no seller with this sellerPaymeId or sellerId is linked to your partner account). (error)
| Field |
Type |
Description |
statusCode |
integer |
HTTP status code |
message |
string |
Error message(s) |
error |
string |
Error type |
{
"statusCode": 400,
"message": [
"sellerId must be a UUID"
],
"error": "Bad Request"
}
401 — Unauthorized (error)
| Field |
Type |
Description |
statusCode |
integer |
|
message |
string |
|
{
"statusCode": 401,
"message": "Unauthorized"
}
403 — Forbidden: the access token has no scope this endpoint accepts. Message: Forbidden resource. (error)
| Field |
Type |
Description |
statusCode |
integer |
HTTP status code |
message |
string |
Error message |
error |
string |
Error type |
{
"statusCode": 403,
"message": "Forbidden resource",
"error": "Forbidden"
}